## imcode.server.document.index
Class DocumentIndexWrapper

    java.lang.Object
      imcode.server.document.index.DocumentIndexWrapper

All Implemented Interfaces:
  DocumentIndex

Direct Known Subclasses:
  LoggingDocumentIndex, PhaseQueryFixingDocumentIndex

    public class DocumentIndexWrapper

extends java.lang.Object
implements DocumentIndex

Field Summary

Fields inherited from interface imcode.server.document.index.DocumentIndex

`FIELD__ACTIVATED_DATETIME, FIELD__ALIAS, FIELD__ARCHIVED_DATETIME, FIELD__CATEGORY, FIELD__CATEGORY_ID, FIELD__CATEGORY_TYPE, FIELD__CATEGORY_TYPE_ID, FIELD__CHILD_ID, FIELD__CREATED_DATETIME, FIELD__CREATOR_ID, FIELD__DOC_TYPE_ID, FIELD__IMAGE_LINK_URL, FIELD__KEYWORD, FIELD__META_HEADLINE, FIELD__META_HEADLINE_KEYWORD, FIELD__META_ID, FIELD__META_TEXT, FIELD__MIME_TYPE, FIELD__MODIFIED_DATETIME, FIELD__NONSTRIPPED_TEXT, FIELD__PARENT_ID, FIELD__PARENT_MENU_ID, FIELD__PHASE, FIELD__PROPERTY_PREFIX, FIELD__PUBLICATION_END_DATETIME, FIELD__PUBLICATION_START_DATETIME, FIELD__PUBLISHER_ID, FIELD__SECTION, FIELD__SECTION_ID, FIELD__STATUS, FIELD__TEMPLATE, FIELD__TEXT`

Constructor Summary
`DocumentIndexWrapper(DocumentIndex index)`

Method Summary
`void` `indexDocument(DocumentDomainObject document)`
`void` `rebuild()`
`void` `removeDocument(DocumentDomainObject document)`
`java.util.List` `search(DocumentQuery query, UserDomainObject searchingUser)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentIndexWrapper

    public DocumentIndexWrapper(DocumentIndex index)

Method Detail

### indexDocument

    public void indexDocument(DocumentDomainObject document)
                       throws IndexException

  Specified by:
    `indexDocument` in interface `DocumentIndex`
  Throws:
    `IndexException`

### rebuild

    public void rebuild()
                 throws IndexException

  Specified by:
    `rebuild` in interface `DocumentIndex`
  Throws:
    `IndexException`

### removeDocument

    public void removeDocument(DocumentDomainObject document)
                        throws IndexException

  Specified by:
    `removeDocument` in interface `DocumentIndex`
  Throws:
    `IndexException`

### search

    public java.util.List search(DocumentQuery query,
                                 UserDomainObject searchingUser)
                          throws IndexException

  Specified by:
    `search` in interface `DocumentIndex`
  Throws:
    `IndexException`